!XCOMM
!XCOMM  descrip.mms
!XCOMM
!XCOMM  Copyright (C) 1995, 1996 Johannes Plass
!XCOMM 
!XCOMM  This program is free software; you can redistribute it and/or modify
!XCOMM  it under the terms of the GNU General Public License as published by
!XCOMM  the Free Software Foundation; either version 2 of the License, or
!XCOMM  (at your option) any later version.
!XCOMM 
!XCOMM  This program is distributed in the hope that it will be useful,
!XCOMM  but WITHOUT ANY WARRANTY; without even the implied warranty of
!XCOMM  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!XCOMM  GNU General Public License for more details.
!XCOMM 
!XCOMM  You should have received a copy of the GNU General Public License
!XCOMM  along with this program; if not, write to the Free Software
!XCOMM  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
!XCOMM 
!XCOMM  Author:   Johannes Plass (plass@dipmza.physik.uni-mainz.de)
!XCOMM            Department of Physic
!XCOMM            Johannes Gutenberg-University
!XCOMM            Mainz, Germany
!XCOMM 


TARGET = GV
TARGET_TYPE = executable

CC_DEFS = VMS
!MEMDEBUG   = 1

.include X11_ROOT:[GV]CONFIG.VMS
.ifdef STATIC
.ifdef USE_FALLBACK_RESOURCES 
.else
USE_FALLBACK_RESOURCES = 1
.endif
.ifdef USE_FALLBACK_FILES 
.else
USE_FALLBACK_FILES     = 1
.endif
XMU_LIBRARY   = XMULIB
XAW3D_LIBRARY = XAW3DLIB
.else
XMU_LIBRARY   = XMULIBSHR
XAW3D_LIBRARY = XAW3DLIBSHR
.endif

.ifdef USE_FALLBACK_RESOURCES
CC_DEF_USE_FALLBACK_RESOURCES = ,USE_FALLBACK_RESOURCES
.endif 
.ifdef USE_FALLBACK_FILES
CC_DEF_USE_FALLBACK_FILES = ,USE_FALLBACK_FILES
.endif 
CC_DEFINES = /DEF=($(CC_DEFS)$(CC_DEF_USE_FALLBACK_RESOURCES)$(CC_DEF_USE_FALLBACK_FILES))

.ifdef __DECC__
CC_QUALIFIER = /NODEB/EXT=STRICT/PREF=ALL
.endif

.ifdef __VAXC__
CC_QUALIFIER = /NODEB/OPT=(D,I)
.endif

.include X11_ROOT:[COMMAND]X11_RULES.MMS


!### Objects #################################################################

.ifdef MEMDEBUG
DEBUG_OBJS =\
D_MEM.$(OBJ_EXT),\
D_XTMEM.$(OBJ_EXT),
.endif

OBJS =\
AAA.$(OBJ_EXT),\
AAA_BISON.$(OBJ_EXT),\
AAA_LEX.$(OBJ_EXT),\
ACTION_MAG.$(OBJ_EXT),\
ACTIONS.$(OBJ_EXT),\
CALLBACKS.$(OBJ_EXT),\
CLIP.$(OBJ_EXT),\
$(DEBUG_OBJS)\
DIALOG.$(OBJ_EXT),\
ERROR.$(OBJ_EXT),\
FILESEL.$(OBJ_EXT),\
FRAME.$(OBJ_EXT),\
GHOSTVIEW.$(OBJ_EXT),\
INFO.$(OBJ_EXT),\
LISTC.$(OBJ_EXT),\
MAIN.$(OBJ_EXT),\
MISC.$(OBJ_EXT),\
MISC_PRIVATE.$(OBJ_EXT),\
NOTE.$(OBJ_EXT),\
OPTIONS.$(OBJ_EXT),\
POPUP.$(OBJ_EXT),\
POPUP_MISC.$(OBJ_EXT),\
PS.$(OBJ_EXT),\
STRCASECMP.$(OBJ_EXT),\
VERSION.$(OBJ_EXT),\
VMS_DIR.$(OBJ_EXT),\
WIDGETS_MISC.$(OBJ_EXT),\
ZOOM.$(OBJ_EXT)

GV_DEFAULTS  = GV_CLASS.DAT
GV_RESOURCES = GV_RESOURCES.DAT
GV_LAYOUTS   = GV_LAYOUTS.DAT
GV_MESSAGES  = GV_MESSAGES.DAT
APP_DEFAULTS = APP-DEFAULTS.H
APP_MESSAGES = APP-MESSAGES.H
GV_COPYRIGHT = GV_COPYRIGHT.DAT

.ifdef USE_FALLBACK_RESOURCES
APP_DEFAULTS_TARGET = $(APP_DEFAULTS)
.else
APP_DEFAULTS_TARGET =  
.endif

.ifdef USE_FALLBACK_FILES
APP_MESSAGES_TARGET = $(APP_MESSAGES)
.else
APP_MESSAGES_TARGET =  
.endif

!### Targets ##################################################################

DEFAULT :  $(TARGET).$(EXE_EXT)
 @  write_ sys$output ""
 @  write_ sys$output "  $(TARGET).$(EXE_EXT) available"
 @  write_ sys$output ""

$(TARGET).$(EXE_EXT) :	$(GV_DEFAULTS) \
			$(APP_MESSAGES_TARGET) $(APP_DEFAULTS_TARGET) \
			$(OBJS) $(XMU_LIBRARY) $(XAW3D_LIBRARY)
 @ write_ sys$output "  linking $(TARGET).$(EXE_EXT) ..." 
 @ LINK_/NODEB/NOTRACE -
       /EXE=$(TARGET).$(EXE_EXT) -
       $(OBJS),X11_LIBRARY:XAW3D_CLIENT.OPT/OPT
.ifdef USE_FALLBACK_RESOURCES
.else
 @ write_ sys$output "  copying GV_CLASS.DAT		-> X11_ROOT:[DEFAULTS]GV_CLASS.DAT"
 @ COPY_/NOLOG/NOCONF GV_CLASS.DAT X11_ROOT:[DEFAULTS]GV_CLASS.DAT;
.endif
.ifdef USE_FALLBACK_FILES
.else
 @ write_ sys$output "  copying GV_MESSAGES.DAT		-> X11_ROOT:[DATA]GV_MESSAGES.DAT"
 @ COPY_/NOLOG/NOCONF  GV_MESSAGES.DAT X11_ROOT:[DATA]GV_MESSAGES.DAT;
 @ write_ sys$output "  copying *.XBM		-> X11_ROOT:[DATA]*.XBM"
 @ COPY_/NOLOG/NOCONF  *.XBM X11_ROOT:[DATA]*.XBM;
.endif

$(APP_DEFAULTS) : AD2C.$(EXE_EXT) $(GV_DEFAULTS)
 @ write_ sys$output "  generating $(APP_DEFAULTS) ..." 
 @ ad2c__ := $X11_ROOT:[GV.SOURCE]AD2C.$(EXE_EXT)
 @ ad2c__ $(GV_DEFAULTS) $(APP_DEFAULTS)

$(APP_MESSAGES) : AD2C.$(EXE_EXT) $(GV_DEFAULTS)
 @ write_ sys$output "  generating $(APP_MESSAGES) ..." 
 @ ad2c__ := $X11_ROOT:[GV.SOURCE]AD2C.$(EXE_EXT)
 @ ad2c__ $(GV_MESSAGES) $(APP_MESSAGES)

$(GV_DEFAULTS) : $(GV_COPYRIGHT) $(GV_RESOURCES)  
 @ write_ sys$output "  generating $(GV_DEFAULTS) ..." 
 @ COPY_/NOLOG $(GV_COPYRIGHT) X11_ROOT:[GV.SOURCE]$(GV_DEFAULTS);
 @ OPEN_/APPEND file X11_ROOT:[GV.SOURCE]$(GV_DEFAULTS);
 @ WRITE_ file "!"
 @ WRITE_ file "!  gv_class.dat"
 @ WRITE_ file "!  Application class defaults for GhostView-VMS."
 @ WRITE_ file "!  Copyright (C) 1995,1996  Johannes Plass"
 @ WRITE_ file "!"
 @ WRITE_ file ""
 @ WRITE_ file ""
 @ WRITE_ file "GV.printCommand:	$(PRINT_COMMAND)"
 @ WRITE_ file "GV.scratchDir:		$(SCRATCH_DIR)"
 @ WRITE_ file "GV.defaultSaveDir:	$(SAVE_DIR)"
.ifdef USE_FALLBACK_FILES
 @ IF_NOT_FF = "!"
.else
 @ IF_NOT_FF = ""
.endif
 @ WRITE_ file IF_NOT_FF,"GV.documentBitmap:	$(DOC_BMP)"
 @ WRITE_ file IF_NOT_FF,"GV.iconPixmap:		$(ICON_BMP)"
 @ WRITE_ file IF_NOT_FF,"GV.forcedBitmap:	$(FORCED_BMP)"
 @ WRITE_ file IF_NOT_FF,"GV.selectedBitmap:	$(SELECTED_BMP)"
 @ WRITE_ file IF_NOT_FF,"GV.messageFile:		$(MESSAGE_DAT)"
 @ CLOSE_ file
 @ APPEND_ X11_ROOT:[GV.SOURCE]$(GV_RESOURCES) X11_ROOT:[GV.SOURCE]$(GV_DEFAULTS); 
 @ APPEND_ X11_ROOT:[GV.SOURCE]$(GV_LAYOUTS) X11_ROOT:[GV.SOURCE]$(GV_DEFAULTS); 
  
AD2C.$(EXE_EXT) :
 @ write_ sys$output "  AD2C.C		-> AD2C.$(OBJ_EXT)" 
 @ CC/NODEB AD2C.C/OBJ=AD2C.$(OBJ_EXT)
 @ write_ sys$output "  linking AD2C.$(EXE_EXT) ..."
 @ LINK/NOTRACE/NOMAP AD2C.$(OBJ_EXT)/EXE=AD2C.$(EXE_EXT)
 @ write_ sys$output "  AD2C.$(EXE_EXT) available."

.ifdef static
main.$(obj_ext) :  $(APP_DEFAULTS) $(APP_MESSAGES)
.endif
